# cc_credentials_v5_t Struct Reference
[cc_credentials_t Overview]

## Detailed Description

If a cc_credentials_t variable is used to store Kerberos v5 c redentials, and then credentials.credentials_v5 points to a v5 credentials structure. This structure is similar to a krb5_creds structure.

## Data Fields

- char * client
- char * server
- cc_data keyblock
- cc_time_t authtime
- cc_time_t starttime
- cc_time_t endtime
- cc_time_t renew_till
- cc_uint32 is_skey
- cc_uint32 ticket_flags
- cc_data ** addresses
- cc_data ticket
- cc_data second_ticket
- cc_data ** authdata

## Field Documentation

char* client

| A properly quoted string representation of the client principal.

char* server

| A properly quoted string representation of the service principal.

cc_data keyblock

| Session encryption key info.

cc_time_t authtime

| The time when the ticket was issued.

cc_time_t starttime

| The time when the ticket becomes valid.

cc_time_t endtime

| The time when the ticket expires.

cc_time_t renew_till

| The time when the ticket becomes no longer renewable (if renewable).

cc_uint32 is_skey

| 1 if the ticket is encrypted in another ticket's key, or 0 otherwise.

cc_uint32 ticket_flags

| Ticket flags, as defined by the Kerberos 5 API.

cc_data** addresses

| The the list of network addresses of hosts that are allowed to authenticate using this ticket.

cc_data ticket

| Ticket data.

cc_data second_ticket

| Second ticket data.

cc_data** authdata

| Authorization data.